## lighttpd 1.4.77

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.7.0 FATAL_ERROR)

project(lighttpd VERSION 1.4.77 LANGUAGES C)

# use C11 with CMake >= 3.1
set(CMAKE_C_STANDARD 11)

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/scripts/cmake)

include(CTest)

enable_testing()

set(CPACK_RESOURCE_FILE_LICENSE "${CMAKE_CURRENT_SOURCE_DIR}/COPYING")
set(CPACK_RESOURCE_FILE_README "${CMAKE_CURRENT_SOURCE_DIR}/README")
set(CPACK_PACKAGE_VENDOR "jan@kneschke.de")

set(CPACK_SOURCE_GENERATOR "TGZ")
set(CPACK_SOURCE_IGNORE_FILES "/\\\\.;~$;/_;build/;CMakeFiles/;CMakeCache;gz$;Makefile\\\\.;trace;Testing/;foo;autom4te;cmake_install;CPack;\\\\.pem;ltmain.sh;configure;libtool;/config\\\\.;missing;autogen.sh;install-sh;Dart;aclocal;log$;Makefile$")

include(CPack)

include(GNUInstallDirs)

add_subdirectory(src build)
add_subdirectory(doc)
add_subdirectory(tests)

=== SConstruct ===
from __future__ import print_function
import os
import re
import string
import sys
from copy import copy
from stat import *

try:
	string_types = basestring
except NameError:
	string_types = str

package = 'lighttpd'
version = '1.4.77'

underscorify_reg = re.compile('[^A-Z0-9]')
def underscorify(id):
	return underscorify_reg.sub('_', id.upper())

def fail(*args, **kwargs):
	print(*args, file=sys.stderr, **kwargs)
	sys.exit(-1)

class Autoconf:
	class RestoreEnvLibs:
		def __init__(self, env):
			self.env = env
			self.active = False

		def __enter__(self):
			if self.active:
				raise Exception('entered twice')
			self.active = True
			if 'LIBS' in self.env:
				#print("Backup LIBS: " + repr(self.env['LIBS']))
				self.empty = False
				self.backup_libs = copy(self.env['LIBS'])
			else:
				#print("No LIBS to backup")
				self.empty = True

		def __exit__(self, type, value, traceback):
			if not self.active:
				raise Exception('exited twice')
			self.active = False
			if self.empty:
				if 'LIBS' in self.env:
					del self.env['LIBS']
			else:
				#print("Restoring LIBS, now: " + repr(self.env['LIBS']))
				self.env['LIBS'] = self.backup_libs
				#print("Restoring LIBS, to: " + repr(self.env['LIBS']))

	def __init__(self, env):
		self.conf = Configure(env, custom_tests = {
			'CheckGmtOffInStructTm': Autoconf.__checkGmtOffInStructTm,
			'CheckIPv6': Autoconf.__checkIPv6,
			'CheckWeakSymbols': Autoconf.__checkWeakSymbols,
		})

	def append(self, *args, **kw):
		return self.conf.env.Append(*args, **kw)

	def Finish(self):
		return self.conf.Finish()

	@property
	def env(self):
		return self.conf.env

	def restoreEnvLibs(self):
		return Autoconf.RestoreEnvLibs(self.conf.env)

	def CheckType(self, *args, **kw):
		return self.conf.CheckType(*args, **kw)

	def CheckLib(self, *args, **kw):
		return self.conf.CheckLib(*args, autoadd = 0, **kw)

	def CheckLibWithHeader(self, *args, **kw):
		return self.conf.CheckLibWithHeader(*args, autoadd = 0, **kw)

	def CheckGmtOffInStructTm(self):
		return self.conf.CheckGmtOffInStructTm()

	def CheckIPv6(self):
		return self.conf.CheckIPv6()

	def CheckWeakSymbols(self):
		return self.conf.CheckWeakSymbols()

	def CheckCHeader(self, hdr):
		return self.conf.CheckCHeader(hdr)

	def haveCHeader(self, hdr):
		if self.CheckCHeader(hdr):
			# if we have a list of headers define HAVE_ only for last one
			target = hdr
			if not isinstance(target, string_types):
				target = target[-1]
			self.conf.env.Append(CPPFLAGS = [ '-DHAVE_' + underscorify(target) ])
			return True
		return False

	def haveCHeaders(self, hdrs):
		for hdr in hdrs:
			self.haveCHeader(hdr)

	def CheckFunc(self, func, header = None, libs = []):
		with self.restoreEnvLibs():
			self.env.Append(LIBS = libs)
			return self.conf.CheckFunc(func, header = header)

	def CheckFuncInLib(self, func, lib):
		return self.CheckFunc(func, libs = [lib])

	def haveFuncInLib(self, func, lib):
		if self.CheckFuncInLib(func, lib):
			self.conf.env.Append(CPPFLAGS = [ '-DHAVE_' + underscorify(func) ])
			return True
		return False

	def haveFunc(self, func, header = None, libs = []):
		if self.CheckFunc(func, header = header, libs = libs):
			self.conf.env.Append(CPPFLAGS = [ '-DHAVE_' + underscorify(func) ])
			return True
		return False

	def haveFuncs(self, funcs):
		for func in funcs:
			self.haveFunc(func)

	def haveTypes(self, types):
		for type in types:
			if self.conf.CheckType(type, '#include <sys/types.h>'):
				self.conf.env.Append(CPPFLAGS = [ '-DHAVE_' + underscorify(type) ])

	def CheckParseConfig(self, *args, **kw):
		try:
			self.conf.env.ParseConfig(*args, **kw)
			return True
		except OSError:
			return False
		except Exception as e:
			print(e.message, file=sys.stderr)
			return False

	def CheckParseConfigForLib(self, lib, *args, **kw):
		with self.restoreEnvLibs():
			self.env['LIBS'] = []
			if not self.CheckParseConfig(*args, **kw):
				return False
			self.env.Append(**{lib: self.env['LIBS']})
			return True

	@staticmethod
	def __checkGmtOffInStructTm(context):
		source = """
#include <time.h>
int main() {
	struct tm a;
	a.tm_gmtoff = 0;
	return 0;
}
"""
		context.Message('Checking for tm_gmtoff in struct tm...')
		result = context.TryLink(source, '.c')
		context.Result(result)

		return result

	@staticmethod
	def __checkIPv6(context):
		source = """
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>

int main() {
	struct sockaddr_in6 s; struct in6_addr t=in6addr_any; int i=AF_INET6; s; t.s6_addr[0] = 0;
	return 0;
}
"""
		context.Message('Checking for IPv6 support...')
		result = context.TryLink(source, '.c')
		context.Result(result)

		return result

	@staticmethod
	def __checkWeakSymbols(context):
		source = """
__attribute__((weak)) void __dummy(void *x) { }
int main() {
	void *x;
	__dummy(x);
}
"""
		context.Message('Checking for weak symbol support...')
		result = context.TryLink(source, '.c')
		context.Result(result)

		return result

	def checkProgram(self, withname, progname):
		withname = 'with_' + withname
		binpath = None

		if self.env[withname] != 1:
			binpath = self.env[withname]
		else:
			prog = self.env.Detect(progname)
			if prog:
				binpath = self.env.WhereIs(prog)

		if binpath:
			mode = os.stat(binpath)[ST_MODE]
			if S_ISDIR(mode):
				fail("* error: path `%s' is a directory" % (binpath))
			if not S_ISREG(mode):
				fail("* error: path `%s' is not a file or not exists" % (binpath))

		if not binpath:
			fail("* error: can't find program `%s'" % (progname))

		return binpath

VariantDir('sconsbuild/build', 'src', duplicate = 0)
VariantDir('sconsbuild/tests', 'tests', duplicate = 0)

vars = Variables()
vars.AddVariables(
	('prefix', 'prefix', '/usr/local'),
	('bindir', 'binary directory', '${prefix}/bin'),
	('sbindir', 'binary directory', '${prefix}/sbin'),
	('libdir', 'library directory', '${prefix}/lib'),
	PathVariable('CC', 'path to the c-compiler', None),
	BoolVariable('build_dynamic', 'enable dynamic build', 'yes'),
	BoolVariable('build_static', 'enable static build', 'no'),
	BoolVariable('build_fullstatic', 'enable fullstatic build', 'no'),

	BoolVariable('with_bzip2', 'enable bzip2 compression', 'no'),
	BoolVariable('with_brotli', 'enable brotli compression', 'no'),
	PackageVariable('with_dbi', 'enable dbi support', 'no'),
	BoolVariable('with_fam', 'enable FAM/gamin support', 'no'),
	BoolVariable('with_libdeflate', 'enable libdeflate compression', 'no'),
	BoolVariable('with_maxminddb', 'enable MaxMind GeoIP2 support', 'no'),
	BoolVariable('with_krb5', 'enable krb5 auth support', 'no'),
	BoolVariable('with_ldap', 'enable ldap auth support', 'no'),
	# with_libev not supported
	# with_libunwind not supported
	BoolVariable('with_lua', 'enable lua support', 'no'),
	PackageVariable('with_mysql', 'enable mysql support', 'no'),
	BoolVariable('with_openssl', 'enable openssl support', 'no'),
	PackageVariable('with_gnutls', 'enable GnuTLS support', 'no'),
	PackageVariable('with_mbedtls', 'enable mbedTLS support', 'no'),
	PackageVariable('with_nss', 'enable NSS crypto support', 'no'),
	PackageVariable('with_wolfssl', 'enable wolfSSL support', 'no'),
	BoolVariable('with_nettle', 'enable Nettle support', 'no'),
	BoolVariable('with_pam', 'enable PAM auth support', 'no'),
	PackageVariable('with_pcre2', 'enable pcre2 support', 'yes'),
	PackageVariable('with_pcre', 'enable pcre support', 'no'),
	PackageVariable('with_pgsql', 'enable pgsql support', 'no'),
	PackageVariable('with_sasl', 'enable SASL support', 'no'),
	BoolVariable('with_sqlite3', 'enable sqlite3 support (required for webdav props)', 'no'),
	BoolVariable('with_uuid', 'enable uuid support (obsolete flag; ignored)', 'no'),
	# with_valgrind not supported
	# with_xattr not supported
	PackageVariable('with_xml', 'enable xml support (required for webdav props)', 'no'),
	BoolVariable('with_xxhash', 'build with system-provided xxhash', 'no'),
	BoolVariable('with_zlib', 'enable deflate/gzip compression', 'no'),
	BoolVariable('with_zstd', 'enable zstd compression', 'no'),

	BoolVariable('with_all', 'enable all with_* features', 'no'),
)

env = Environment(
	ENV = dict(os.environ),  # make sure we have a dict here so .Clone() works properly
	variables = vars,
	CPPPATH = Split('#sconsbuild/build')
)

env.Help(vars.GenerateHelpText(env))

if env.subst('${CC}') != '':
	env['CC'] = env.subst('${CC}')

env['package'] = package
env['version'] = version
if env['CC'] == 'gcc':
	## we need x-open 6 and bsd 4.3 features
	## (add -std=gnu99 for ancient gcc compiler versions)
	env.Append(CCFLAGS = Split('-pipe -Wall -O2 -g -W -pedantic -Wunused -Wshadow'))

env.Append(CPPFLAGS = [
	'-D_TIME_BITS=64',
	'-D_FILE_OFFSET_BITS=64',
	'-D_LARGEFILE_SOURCE',
	'-D_LARGE_FILES',
	'-D_DEFAULT_SOURCE',
	'-D_GNU_SOURCE',
])

if env['with_all']:
	for feature in vars.keys():
		# only enable 'with_*' flags
		if not feature.startswith('with_'): continue
		# don't overwrite manual arguments
		if feature in vars.args: continue
		# now activate
		env[feature] = True

# cache configure checks
if 1:
	autoconf = Autoconf(env)

	if 'CFLAGS' in os.environ:
		autoconf.env.Append(CCFLAGS = os.environ['CFLAGS'])
		print(">> Appending custom build flags : " + os.environ['CFLAGS'])

	if 'LDFLAGS' in os.environ:
		autoconf.env.Append(LINKFLAGS = os.environ['LDFLAGS'])
		print(">> Appending custom link flags : " + os.environ['LDFLAGS'])

	if 'LIBS' in os.environ:
		autoconf.env.Append(APPEND_LIBS = os.environ['LIBS'])
		print(">> Appending custom libraries : " + os.environ['LIBS'])
	else:
		autoconf.env.Append(APPEND_LIBS = '')

	autoconf.env.Append(
		LIBBROTLI = '',
		LIBBZ2 = '',
		LIBCRYPT = '',
		LIBCRYPTO = '',
		LIBDBI = '',
		LIBDEFLATE = '',
		LIBDL = '',
		LIBGNUTLS = '',
		LIBGSSAPI_KRB5 = '',
		LIBKRB5 = '',
		LIBLBER = '',
		LIBLDAP = '',
		LIBLUA = '',
		LIBMBEDTLS = '',
		LIBMBEDX509 = '',
		LIBMBEDCRYPTO = '',
		LIBMYSQL = '',
		LIBNSS = '',
		LIBPAM = '',
		LIBPCRE = '',
		LIBPGSQL = '',
		LIBSASL = '',
		LIBSQLITE3 = '',
		LIBSSL = '',
		LIBSSLCRYPTO = '',
		LIBWOLFSSL = '',
		LIBX509 = '',
		LIBXML2 = '',
		LIBXXHASH = '',
		LIBZ = '',
		LIBZSTD = '',
	)

	autoconf.haveCHeaders([
		'arpa/inet.h',
		'crypt.h',
		'dlfcn.h',
		'fcntl.h',
		'getopt.h',
		'inttypes.h',
		'linux/random.h',
		'malloc.h',
		'poll.h',
		'pwd.h',
		'stdint.h',
		'stdlib.h',
		'string.h',
		'strings.h',
		'sys/epoll.h',
		'sys/inotify.h',
		'sys/loadavg.h',
		'sys/poll.h',
		'sys/prctl.h',
		'sys/procctl.h',
		'sys/sendfile.h',
		'sys/time.h',
		'sys/wait.h',
		'syslog.h',
		'unistd.h',
		'winsock2.h',

		# "have" the last header if we include others before?
		['sys/types.h', 'sys/time.h', 'sys/resource.h'],
		['sys/types.h', 'netinet/in.h'],
		['sys/types.h', 'sys/event.h'],
		['sys/types.h', 'sys/mman.h'],
		['sys/types.h', 'sys/select.h'],
		['sys/types.h', 'sys/socket.h'],
		['sys/types.h', 'sys/uio.h'],
		['sys/types.h', 'sys/un.h'],
	])

	autoconf.haveFuncs([
		'arc4random_buf',
		'chroot',
		'clock_gettime',
		'copy_file_range',
		'epoll_ctl',
		'explicit_bzero',
		'explicit_memset',
		'fork',
		'getentropy',
		'getloadavg',
		'getrandom',
		'getrlimit',
		'getuid',
		'gmtime_r',
		'inet_aton',
		'inet_pton',
		'issetugid',
		'jrand48',
		'kqueue',
		'localtime_r',
		'lstat',
		'madvise',
		'malloc_trim',
		'mallopt',
		'mempcpy',
		'memset_s',
		'mkostemp',
		'mmap',
		'pipe2',
		'poll',
		'posix_spawn',
		'posix_spawn_file_actions_addclosefrom_np',
		'posix_spawn_file_actions_addfchdir_np',
		'pread',
		'preadv',
		'preadv2',
		'pwrite',
		'pwritev',
		'select',
		'sendfile',
		'sigaction',
		'signal',
		'splice',
		'srandom',
		'strerror_r',
		'timegm',
		'writev',
	])
	if re.compile("sunos|solaris").search(env['PLATFORM']):
		autoconf.haveCHeaders([
			'port.h',
			'priv.h',
			'sys/devpoll.h',
			'sys/filio.h',
		])
		autoconf.haveFunc('port_create')
		autoconf.haveFunc('sendfilev')
		autoconf.haveFunc('setpflags')

	autoconf.haveTypes(Split('pid_t size_t off_t'))

	# have crypt_r/crypt, and is -lcrypt needed?

=== meson_options.txt ===
option('with_brotli',
	type: 'feature',
	value: 'disabled',
	description: 'with brotli-support for mod_deflate [default: off]',
)
option('with_bzip',
	type: 'feature',
	value: 'disabled',
	description: 'with bzip2-support for mod_deflate [default: off]',
)
option('with_dbi',
	type: 'feature',
	value: 'disabled',
	description: 'with dbi-support for mod_auth mod_vhostdb_dbi [default: off]',
)
option('with_libdeflate',
	type: 'feature',
	value: 'disabled',
	description: 'with libdeflate-support for mod_deflate [default: off]',
)
option('with_fam',
	type: 'feature',
	value: 'disabled',
	description: 'fam/gamin for reducing number of stat() calls [default: off]',
)
option('with_gnutls',
	type: 'boolean',
	value: false,
	description: 'with GnuTLS-support [default: off]',
)
option('with_krb5',
	type: 'feature',
	value: 'disabled',
	description: 'with Kerberos5-support for mod_auth [default: off]',
)
option('with_ldap',
	type: 'feature',
	value: 'disabled',
	description: 'with LDAP-support for mod_auth mod_vhostdb_ldap [default: off]',
)
option('with_libev',
	type: 'feature',
	value: 'disabled',
	description: 'libev support for fdevent handlers [default: off]',
)
option('with_libunwind',
	type: 'feature',
	value: 'disabled',
	description: 'with libunwind to print backtraces in asserts [default: off]',
)
option('with_lua',
	type: 'boolean',
	value: false,
	description: 'with lua for mod_magnet [default: off]',
)
option('with_maxminddb',
	type: 'feature',
	value: 'disabled',
	description: 'with MaxMind GeoIP2-support mod_maxminddb [default: off]',
)
option('with_mbedtls',
	type: 'boolean',
	value: false,
	description: 'with mbedTLS-support [default: off]',
)
option('with_mysql',
	type: 'feature',
	value: 'disabled',
	description: 'with mysql-support for mod_vhostdb_mysql [default: off]',
)
option('with_nettle',
	type: 'boolean',
	value: false,
	description: 'with Nettle-support [default: off]',
)
option('with_nss',
	type: 'boolean',
	value: false,
	description: 'with NSS-crypto-support [default: off]',
)
option('with_openssl',
	type: 'boolean',
	value: false,
	description: 'with openssl-support [default: off]',
)
option('with_pam',
	type: 'feature',
	value: 'disabled',
	description: 'with PAM-support for mod_auth [default: off]',
)
option('with_pcre2',
	type: 'boolean',
	value: true,
	description: 'with regex support [default: on]',
)
option('with_pcre',
	type: 'combo',
	choices: ['auto','pcre2','pcre','disabled'],
	value: 'auto',
	description: 'with regex support [default: auto]',
)
option('with_pgsql',
	type: 'feature',
	value: 'disabled',
	description: 'with postgres-support for mod_vhostdb_pgsql [default: off]',
)
option('with_sasl',
	type: 'feature',
	value: 'disabled',
	description: 'with SASL support for mod_authn_sasl [default: off]',
)
#option('with_valgrind',
#	type: 'boolean',
#	value: false,
#	description: 'with internal support for valgrind [default: off]',
#)
option('with_webdav_locks',
	type: 'feature',
	value: 'disabled',
	description: 'locks in webdav (obsolete flag; ignored) [default: off]',
)
option('with_webdav_props',
	type: 'feature',
	value: 'disabled',
	description: 'with property-support for mod_webdav [default: off]',
)
option('with_wolfssl',
	type: 'boolean',
	value: false,
	description: 'with wolfSSL-support [default: off]',
)
option('with_xattr',
	type: 'boolean',
	value: false,
	description: 'with xattr-support for the stat-cache [default: off]',
)
option('with_xxhash',
	type: 'feature',
	value: 'disabled',
	description: 'with system-provided libxxhash [default: off]',
)
option('with_zlib',
	type: 'feature',
	value: 'enabled',
	description: 'with deflate-support for mod_deflate [default: on]',
)
option('with_zstd',
	type: 'feature',
	value: 'disabled',
	description: 'with zstd-support for mod_deflate [default: off]',
)

option('build_extra_warnings',
	type: 'boolean',
	value: false,
	description: 'extra warnings (only enabled with gcc/clang)',
)
option('warn_cflags',
	type: 'string',
	value: '-g -g2 -Wall -Wmissing-declarations -Wcast-align -Wsign-compare -Wnested-externs -Wpointer-arith -D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Wformat -Werror=format-security',
	description: 'CFLAGS to use when build_extra_warnings is active',
)

option('build_static',
	type: 'boolean',
	value: false,
	description: 'build a static lighttpd with all modules added',
)

option('moduledir',
	type: 'string',
	value: 'lib/lighttpd',
	description: 'Location to install modules to (relative to prefix)',
)

option('lua_version',
	type: 'string',
	description: 'Look for a specific lua version',
)

=== src/CMakeLists.txt ===
include(CheckCSourceCompiles)
include(CheckIncludeFiles)
include(CheckFunctionExists)
include(CheckSymbolExists)
include(CheckVariableExists)
include(CheckTypeSize)
include(CheckLibraryExists)
include(CMakeDetermineCCompiler)
find_package(PkgConfig)

include(LighttpdMacros)

add_definitions(-D_TIME_BITS=64 -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_LARGE_FILES -D_DEFAULT_SOURCE)

# default to ON
set(CMAKE_POSITION_INDEPENDENT_CODE ON CACHE BOOL "Default value for ``POSITION_INDEPENDENT_CODE`` of targets.")

option(WITH_XATTR "with xattr-support for the stat-cache [default: off]")
option(WITH_MYSQL "with mysql-support for mod_vhostdb_mysql [default: off]")
option(WITH_PGSQL "with postgres-support for mod_vhostdb_pgsql [default: off]")
option(WITH_DBI "with dbi-support for mod_vhostdb_dbi [default: off]")
option(WITH_GNUTLS "with GnuTLS-support [default: off]")
option(WITH_MBEDTLS "with mbedTLS-support [default: off]")
option(WITH_NSS "with NSS-crypto-support [default: off]")
option(WITH_OPENSSL "with openssl-support [default: off]")
option(WITH_WOLFSSL "with wolfSSL-support [default: off]")
option(WITH_NETTLE "with Nettle-support [default: off]")
option(WITH_PCRE2 "with regex support [default: on]" ON)
option(WITH_PCRE "with regex support [default: off]")
option(WITH_WEBDAV_PROPS "with property-support for mod_webdav [default: off]")
option(WITH_WEBDAV_LOCKS "locks in webdav (obsolete flag; ignored) [default: off]")
option(WITH_BROTLI "with brotli-support for mod_deflate [default: off]")
option(WITH_BZIP "with bzip2-support for mod_deflate [default: off]")
option(WITH_ZLIB "with deflate-support for mod_deflate [default: on]" ON)
option(WITH_ZSTD "with zstd-support for mod_deflate [default: off]")
option(WITH_KRB5 "with Kerberos5-support for mod_auth [default: off]")
option(WITH_LDAP "with LDAP-support for mod_auth mod_vhostdb_ldap [default: off]")
option(WITH_PAM "with PAM-support for mod_auth [default: off]")
option(WITH_LUA "with lua for mod_magnet [default: off]")
option(WITH_LUA_VERSION "specify lua version for mod_magnet")
# option(WITH_VALGRIND "with internal support for valgrind [default: off]")
option(WITH_FAM "fam/gamin for reducing number of stat() calls [default: off]")
option(WITH_LIBDEFLATE "with libdeflate-support for mod_deflate [default: off]")
option(WITH_LIBEV "libev support for fdevent handlers [default: off]")
option(WITH_LIBUNWIND "with libunwind to print backtraces in asserts [default: off]")
option(WITH_MAXMINDDB "with MaxMind GeoIP2-support mod_maxminddb [default: off]")
option(WITH_SASL "with SASL-support for mod_authn_sasl [default: off]")
option(WITH_XXHASH "with system-provided xxhash [default: off]")

if(CMAKE_C_COMPILER_ID MATCHES "GNU" OR CMAKE_C_COMPILER_ID MATCHES "Clang")
	option(BUILD_EXTRA_WARNINGS "extra warnings")
	option(BUILD_SANITIZE_ADDRESS "Enable address sanitizer" OFF)
	option(BUILD_SANITIZE_UNDEFINED "Enable undefined sanitizer" OFF)

	if(BUILD_EXTRA_WARNINGS)
		set(WARN_CFLAGS "-g -g2 -Wall -Wmissing-declarations -Wcast-align -Wsign-compare -Wnested-externs -Wpointer-arith -D_FORTIFY_SOURCE=2 -fstack-protector-strong --param=ssp-buffer-size=4 -Wformat -Werror=format-security")
		set(WARN_LDFLAGS "")
		# -Werror -Wbad-function-cast -Wmissing-prototypes
		if(NOT BUILD_SANITIZE_ADDRESS)
			# with asan we need to link all libraries we might need later
			# so asan can initialize intercepts properly
			# https://gcc.gnu.org/bugzilla/show_bug.cgi?id=103930
			set(WARN_LDFLAGS "${WARN_LDFLAGS} -Wl,--as-needed")
		endif()
	endif()

	set(SANITIZE_FLAGS "")

	if(BUILD_SANITIZE_ADDRESS)
		set(SANITIZE_FLAGS "${SANITIZE_FLAGS} -fsanitize=address")
	endif()

	if(BUILD_SANITIZE_UNDEFINED)
		set(SANITIZE_FLAGS "${SANITIZE_FLAGS} -fsanitize=undefined")
	endif()

	if(SANITIZE_FLAGS)
		set(WARN_CFLAGS "${SANITIZE_FLAGS} -fno-omit-frame-pointer ${WARN_CFLAGS}")
	endif()
endif()

option(BUILD_STATIC "build a static lighttpd with all modules added")

if(BUILD_STATIC)
	set(LIGHTTPD_STATIC 1)
elseif(APPLE)
	set(CMAKE_SHARED_MODULE_PREFIX "")
else()
	set(CMAKE_SHARED_LIBRARY_PREFIX "")
endif()

if(WITH_LIBUNWIND)
	pkg_check_modules(LIBUNWIND REQUIRED libunwind)
	set(HAVE_LIBUNWIND 1)
endif()

if(WITH_WEBDAV_PROPS)
	set(WITH_XML 1)
	set(WITH_SQLITE3 1)
endif()

check_include_files(sys/inotify.h HAVE_SYS_INOTIFY_H)
set(CMAKE_REQUIRED_FLAGS "-include sys/time.h")
check_include_files(sys/loadavg.h HAVE_SYS_LOADAVG_H)
set(CMAKE_REQUIRED_FLAGS)
check_include_files(sys/poll.h HAVE_SYS_POLL_H)
check_include_files(sys/prctl.h HAVE_SYS_PRCTL_H)
check_include_files(sys/procctl.h HAVE_SYS_PROCCTL_H)
check_include_files(sys/sendfile.h HAVE_SYS_SENDFILE_H)
check_include_files(sys/un.h HAVE_SYS_UN_H)
check_include_files(sys/wait.h HAVE_SYS_WAIT_H)
check_include_files(sys/time.h HAVE_SYS_TIME_H)
check_include_files(unistd.h HAVE_UNISTD_H)
check_include_files(getopt.h HAVE_GETOPT_H)
check_include_files(inttypes.h HAVE_INTTYPES_H)
check_include_files(poll.h HAVE_POLL_H)
check_include_files(pwd.h HAVE_PWD_H)
check_include_files(stdint.h HAVE_STDINT_H)
check_include_files(stdlib.h HAVE_STDLIB_H)
check_include_files(strings.h HAVE_STRINGS_H)
check_include_files(syslog.h HAVE_SYSLOG_H)

# will be needed for auth
check_include_files(crypt.h HAVE_CRYPT_H)
# check if we need libcrypt for crypt_r()
check_library_exists(crypt crypt_r "" HAVE_LIBCRYPT_CRYPT_R)
if(HAVE_LIBCRYPT_CRYPT_R)
	set(HAVE_CRYPT_R 1)
	set(HAVE_LIBCRYPT 1)
else()
	check_library_exists(crypt crypt "" HAVE_LIBCRYPT_CRYPT)
	if(HAVE_LIBCRYPT_CRYPT)
		set(HAVE_CRYPT 1)
		set(HAVE_LIBCRYPT 1)
	endif()
endif()
check_function_exists(crypt_r HAVE_CRYPT_R)
check_function_exists(crypt HAVE_CRYPT)

set(CMAKE_EXTRA_INCLUDE_FILES sys/socket.h)
check_type_size(socklen_t HAVE_SOCKLEN_T)
set(CMAKE_EXTRA_INCLUDE_FILES)
if(WIN32)
set(HAVE_SOCKLEN_T 1)
endif()

check_include_files(malloc.h HAVE_MALLOC_H)
if(HAVE_MALLOC_H)
check_function_exists(malloc_trim HAVE_MALLOC_TRIM)
check_function_exists(mallopt HAVE_MALLOPT)
endif()

check_include_files(signal.h HAVE_SIGNAL_H)
if(HAVE_SIGNAL_H)
check_function_exists(sigaction HAVE_SIGACTION)
check_function_exists(signal HAVE_SIGNAL)
endif()

check_include_files(sys/epoll.h HAVE_SYS_EPOLL_H)
if(HAVE_SYS_EPOLL_H)
check_function_exists(epoll_ctl HAVE_EPOLL_CTL)
endif()

set(CMAKE_REQUIRED_FLAGS "-include sys/types.h")
check_include_files(sys/event.h HAVE_SYS_EVENT_H)
set(CMAKE_REQUIRED_FLAGS)
if(HAVE_SYS_EVENT_H)
check_function_exists(kqueue HAVE_KQUEUE)
endif()

check_include_files(sys/mman.h HAVE_SYS_MMAN_H)
if(HAVE_SYS_MMAN_H)
check_function_exists(mmap HAVE_MMAP)
endif()

check_include_files(sys/random.h HAVE_SYS_RANDOM_H)
if(HAVE_SYS_RANDOM_H)
set(CMAKE_EXTRA_INCLUDE_FILES sys/random.h)
check_function_exists(getentropy HAVE_GETENTROPY)
set(CMAKE_EXTRA_INCLUDE_FILES)
endif()

check_include_files(linux/random.h HAVE_LINUX_RANDOM_H)
if(HAVE_LINUX_RANDOM_H)
set(CMAKE_EXTRA_INCLUDE_FILES linux/random.h)
check_function_exists(getrandom HAVE_GETRANDOM)
set(CMAKE_EXTRA_INCLUDE_FILES)
endif()

check_include_files(sys/resource.h HAVE_SYS_RESOURCE_H)
if(HAVE_SYS_RESOURCE_H)
check_function_exists(getrlimit HAVE_GETRLIMIT)
endif()

check_include_files(sys/uio.h HAVE_SYS_UIO_H)
if(HAVE_SYS_UIO_H)
check_function_exists(preadv HAVE_PREADV)
check_function_exists(preadv2 HAVE_PREADV2)
check_function_exists(pwritev HAVE_PWRITEV)
check_function_exists(writev HAVE_WRITEV)
endif()

check_function_exists(poll HAVE_POLL)
if(NOT HAVE_POLL)
check_include_files(sys/select.h HAVE_SYS_SELECT_H)
check_function_exists(select HAVE_SELECT)
endif()

check_include_files(spawn.h HAVE_SPAWN_H)
if(HAVE_SPAWN_H)
check_function_exists(posix_spawn HAVE_POSIX_SPAWN)
check_function_exists(posix_spawn_file_actions_addclosefrom_np HAVE_POSIX_SPAWN_FILE_ACTIONS_ADDCLOSEFROM_NP)
check_function_exists(posix_spawn_file_actions_addfchdir_np HAVE_POSIX_SPAWN_FILE_ACTIONS_ADDFCHDIR_NP)
endif()

set(CMAKE_EXTRA_INCLUDE_FILES time.h)
check_function_exists(timegm HAVE_TIMEGM)
set(CMAKE_EXTRA_INCLUDE_FILES)

if(CMAKE_SYSTEM_NAME MATCHES "SunOS")
check_include_files(port.h HAVE_PORT_H)
check_include_files(priv.h HAVE_PRIV_H)
check_include_files(sys/devpoll.h HAVE_SYS_DEVPOLL_H)
check_include_files(sys/filio.h HAVE_SYS_FILIO_H)
check_function_exists(port_create HAVE_PORT_CREATE)
check_function_exists(sendfilev HAVE_SENDFILEV)
check_function_exists(setpflags HAVE_SETPFLAGS)
endif()

check_type_size(long SIZEOF_LONG)
check_type_size(off_t SIZEOF_OFF_T)

check_function_exists(arc4random_buf HAVE_ARC4RANDOM_BUF)
check_function_exists(chroot HAVE_CHROOT)
check_function_exists(copy_file_range HAVE_COPY_FILE_RANGE)
check_function_exists(fork HAVE_FORK)
check_function_exists(getloadavg HAVE_GETLOADAVG)
check_function_exists(getuid HAVE_GETUID)
check_function_exists(gmtime_r HAVE_GMTIME_R)
check_function_exists(jrand48 HAVE_JRAND48)
check_function_exists(localtime_r HAVE_LOCALTIME_R)
check_function_exists(lstat HAVE_LSTAT)
check_function_exists(madvise HAVE_MADVISE)
check_function_exists(mempcpy HAVE_MEMPCPY)
check_function_exists(mkostemp HAVE_MKOSTEMP)
check_function_exists(pipe2 HAVE_PIPE2)
check_function_exists(pread HAVE_PREAD)
check_function_exists(pwrite HAVE_PWRITE)
check_function_exists(sendfile HAVE_SENDFILE)
check_function_exists(splice HAVE_SPLICE)
check_function_exists(srandom HAVE_SRANDOM)
check_function_exists(strerror_r HAVE_STRERROR_R)
check_function_exists(issetugid HAVE_ISSETUGID)
check_function_exists(memset_s HAVE_MEMSET_S)
check_function_exists(explicit_bzero HAVE_EXPLICIT_BZERO)
check_function_exists(explicit_memset HAVE_EXPLICIT_MEMSET)
check_symbol_exists(clock_gettime "time.h" HAVE_CLOCK_GETTIME)
if (NOT HAVE_CLOCK_GETTIME)
	check_library_exists(rt clock_gettime "time.h" HAVE_CLOCK_GETTIME)
endif()
check_library_exists(elftc elftc_copyfile "libelftc.h" HAVE_ELFTC_COPYFILE)
if(CMAKE_SYSTEM_NAME MATCHES "SunOS")
set(CMAKE_REQUIRED_LIBRARIES "socket;nsl")
elseif(CMAKE_SYSTEM_NAME MATCHES "Haiku")
set(CMAKE_REQUIRED_LIBRARIES "network")
elseif(WIN32)
set(CMAKE_REQUIRED_LIBRARIES "ws2_32")
endif()
check_function_exists(inet_aton HAVE_INET_ATON)
check_function_exists(inet_pton HAVE_INET_PTON)
if(WIN32)
set(HAVE_IPV6 1)
set(HAVE_INET_PTON 1)
else()
check_c_source_compiles("
	#include <sys/types.h>
	#include <sys/socket.h>
	#include <netinet/in.h>

	int main() {
		struct sockaddr_in6 s; struct in6_addr t=in6addr_any; int i=AF_INET6; s; t.s6_addr[0] = 0;
		return 0;
	}" HAVE_IPV6)
endif()
if(CMAKE_SYSTEM_NAME MATCHES "SunOS")
set(CMAKE_REQUIRED_LIBRARIES)
endif()
check_c_source_compiles("
	__attribute__((weak)) void __dummy(void *x) { }
	int main() {
		void *x;
		__dummy(x);
	}
	" HAVE_WEAK_SYMBOLS)
check_c_source_compiles("
	#include <time.h>
	int main(void) {
		struct tm t;
		t.tm_gmtoff = 0;
		return 0;
	}
	" HAVE_STRUCT_TM_GMTOFF)

## refactor me
macro(XCONFIG _package _link_FLAGS _cflags)
# reset the variables at the beginning
	set(${_link_FLAGS})
	set(${_cflags})

	find_program(${_package}CONFIG_EXECUTABLE NAMES ${_package})

	# if pkg-config has been found
	if(${_package}CONFIG_EXECUTABLE)
		set(XCONFIG_EXECUTABLE "${${_package}CONFIG_EXECUTABLE}")
		message(STATUS "found ${_package}: ${XCONFIG_EXECUTABLE}")

		if(${_package} STREQUAL "pcre2-config")
			exec_program(${XCONFIG_EXECUTABLE} ARGS --libs8 OUTPUT_VARIABLE __link_FLAGS)
		else()
			exec_program(${XCONFIG_EXECUTABLE} ARGS --libs OUTPUT_VARIABLE __link_FLAGS)
		endif()
		string(REPLACE "\n" "" ${_link_FLAGS} ${__link_FLAGS})
		exec_program(${XCONFIG_EXECUTABLE} ARGS --cflags OUTPUT_VARIABLE __cflags)
		string(REPLACE "\n" "" ${_cflags} ${__cflags})
	else()
		message(STATUS "found ${_package}: no")
	endif()
endmacro()

if(WITH_XATTR)
	check_include_files("sys/types.h;sys/xattr.h" HAVE_SYS_XATTR_H)
	check_function_exists(getxattr HAVE_XATTR)
	check_include_files("sys/types.h;sys/extattr.h" HAVE_SYS_EXTATTR_H)
	check_function_exists(extattr_get_file HAVE_EXTATTR)
	if(NOT HAVE_XATTR AND NOT HAVE_EXTATTR)

=== debian/changelog ===
lighttpd (1.4.77-1ubuntu1) plucky; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - debian/index.html:
      + Corrected BTS Ubuntu link and branding on the default page.
    - debian/lighttpd.dirs, debian/control, debian/rules,
      debian/lighttpd.ufw.profile:
      + Add the UFW profile.
    + Make the application build sanely:
      - Install updated upstream NEWS file and fix
        cp: cannot stat /debian/tmp/changelog thingy to
        fix FTBFS when built twice in a row.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 07 Feb 2025 20:03:37 +0100

lighttpd (1.4.77-1) unstable; urgency=medium

  [ Glenn Strauss ]
  * Remove include-conf-enabled.pl
    (deprecated since 2019 in debian/1.4.52-4)
  * Test config in systemd ExecReload before signal SIGUSR1 (closes: #1084233)
    (lighttpd 1.4.77)
  * Remove perl from debian/control Recommends
  * Move spawn-fcgi from debian/control Recommends to Suggests
  * FTBFS with zlib-ng (closes: #1088683)
  * New upstream version 1.4.77
  * Drop patches applied upstream
  * Add post-release patches
  * Update debhelper compatibility level to 13.
  * Move lighty-enable-mod.1 -> lighty-enable-mod.8
  * Add debian/lighty-enable-mod to debian/copyright
  * Remove obsolete alt packages from debian/control
  * Add Documentation key to systemd unit lighttpd.lighttpd-maint.service

  [ Niels Thykier ]
  * add debian/rules override_dh_perl
    perl dependency for `lighttpd` is handled manually (as Recommends)
  * Migrate to `debputy` to remove the need for `fakeroot`

 -- Glenn Strauss <gstrauss@gluelogic.com>  Wed, 22 Jan 2025 04:26:52 -0500

lighttpd (1.4.76-1ubuntu3) plucky; urgency=medium

  * No-change rebuild against mysql-8.4 and libmysqlclient24 (LP: #2089059)

 -- Lena Voytek <lena.voytek@canonical.com>  Wed, 05 Feb 2025 15:47:49 -0500

lighttpd (1.4.76-1ubuntu2) plucky; urgency=medium

  * Rebuild against latest mbedtls

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 21 Nov 2024 10:46:33 -0500

=== debian/control ===
Source: lighttpd
Section: httpd
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian lighttpd maintainers <team+lighttpd@tracker.debian.org>
Uploaders: Glenn Strauss <gstrauss@gluelogic.com>, Stefan Bühler <stbuehler@web.de>
Homepage: https://www.lighttpd.net/
Build-Depends:
 dpkg-dev (>= 1.16.1~),
 debhelper-compat (= 13),
 dh-sequence-zz-debputy-rrr (>= 0.1.23~),
 libdeflate-dev,
 media-types <!nocheck> | mime-support <!nocheck>,
 libgnutls28-dev (>= 3.6.5),
 libmbedtls-dev (>= 2.14.0),
 libnss3-dev (>= 2:3.26.2),
 libssl-dev,
 libwolfssl-dev (>= 3.14.0~),
 zlib1g-dev,
 libbrotli-dev,
 libpcre2-dev,
 default-libmysqlclient-dev,
 libdbi-dev,
 libldap2-dev,
 liblua5.4-dev,
 libmaxminddb-dev,
 pkgconf,
 libsqlite3-dev,
 libxml2-dev,
 libkrb5-dev,
 libpam0g-dev,
 libpq-dev,
 libsasl2-dev,
 libunwind8-dev <pkg.lighttpd.libunwind>,
 libxxhash-dev,
 libzstd-dev,
 nettle-dev,
 perl:native,
Vcs-Git: https://salsa.debian.org/debian/lighttpd.git
Vcs-Browser: https://salsa.debian.org/debian/lighttpd
Standards-Version: 4.7.0
Rules-Requires-Root: no

Package: lighttpd
Architecture: any
Provides:
 httpd,
 httpd-cgi,
 ${lighttpd:ModuleProvides},
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 media-types | mime-support,
 systemd-sysv,
Pre-Depends:
 ${misc:Pre-Depends},
Conflicts:
 lighttpd-mod-geoip,
 lighttpd-mod-trigger-b4-dl,
Recommends:
 lighttpd-mod-deflate,
 lighttpd-mod-openssl,
Suggests:
 openssl,
 php-cgi,
 php-fpm (>= 2:7.4),
 spawn-fcgi,
 apache2-utils,
 lighttpd-doc,
 lighttpd-mod-webdav,
 lighttpd-modules-dbi,
 lighttpd-modules-lua,
 ufw
Description: fast webserver with minimal memory footprint
 lighttpd is a small webserver and fast webserver developed with
 security in mind and a lot of features.
 It has support for
   * CGI, FastCGI and SSI
   * virtual hosts
   * URL rewriting
   * authentication (plain files, htpasswd, LDAP)
   * transparent content compression
   * conditional configuration
   * HTTP proxying
 and configuration is straight-forward and easy.

Package: lighttpd-doc
Multi-Arch: foreign
Architecture: all
Section: doc
Depends:
 ${misc:Depends},
Suggests:
 lighttpd,
Description: documentation for lighttpd
 lighttpd is a small webserver and fast webserver developed with
 security in mind and a lot of features.
 .
 This package contains documentation for lighttpd.

Package: lighttpd-modules-dbi
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Breaks:
 lighttpd-mod-vhostdb-dbi (<< 1.4.56~rc7-0+exp2),
Replaces:
 lighttpd (<< 1.4.56~rc7-0+exp2),
 lighttpd-mod-vhostdb-dbi (<< 1.4.56~rc7-0+exp2),
Provides:
 ${lighttpd:ModuleProvides},
Description: DBI-based modules for lighttpd
 This package contains the following modules:
  * mod_authn_dbi: DBI-based authentication
    mod_authn_dbi performs authentication against a database server
    via DBI interface.
  * mod_vhostdb_dbi: DBI-based virtual host configuration
    mod_vhostdb_dbi enables writing the configuration for virtual hosts
    into a database table instead of including it in the lighttpd
    configuration file.
 .
 Do not depend on this package. Depend on the provided lighttpd-mod-*
 packages instead.

Package: lighttpd-modules-ldap
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Provides:
 ${lighttpd:ModuleProvides},
Description: LDAP-based modules for lighttpd
 This package contains the following modules:
  * mod_authn_ldap: With this module, it is possible to perform
    authentication against an LDAP server.
  * mod_vhostdb_ldap: Database backend module for using LDAP as
    a source for virtual host configuration using mod_vhostdb.
 .
 Do not depend on this package. Depend on the provided lighttpd-mod-*
 packages instead.

Package: lighttpd-modules-lua
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Conflicts:
 lighttpd-mod-cml,
Breaks:
 lighttpd-mod-magnet (<< 1.4.56~rc7-0+exp2),
Replaces:
 lighttpd (<< 1.4.56~rc7-0+exp2),
 lighttpd-mod-magnet (<< 1.4.56~rc7-0+exp2),
Provides:
 ${lighttpd:ModuleProvides},
Description: LUA-based modules for lighttpd
 This package contains the following modules:
  * mod_magnet: control the request handling module for lighttpd
    mod_magnet can attract a request in several stages in the request-handling.
    either at the same level as mod_rewrite, before any parsing of the URL is
    done or at a later stage, when the doc-root is known and the physical-path
    is already setup.
 .
 Do not depend on this package. Depend on the provided lighttpd-mod-*
 packages instead.

Package: lighttpd-modules-mysql
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Conflicts:
 lighttpd-mod-authn-mysql,
 lighttpd-mod-mysql-vhost,
Provides:
 ${lighttpd:ModuleProvides},
Description: MySQL-based modules for lighttpd
 This package contains the following modules:
  * mod_vhostdb_mysql: Database backend module for using MySQL as
    a source for virtual host configuration using mod_vhostdb.
 .
 Do not depend on this package. Depend on the provided lighttpd-mod-*
 packages instead.

Package: lighttpd-mod-webdav
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Description: WebDAV module for lighttpd
 The WebDAV module is an implementation of RFC 4918.
 .
 Currently supports:
  GET
  POST
  HEAD
  PROPFIND
  PROPPATCH
  OPTIONS
  MKCOL
  COPY
  MOVE
  DELETE
  PUT
  LOCK
  UNLOCK

Package: lighttpd-mod-authn-gssapi
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Description: GSSAPI authentication module for lighttpd
 This package contains the authn_gssapi module for lighttpd. With
 this module, it is possible to perform GSSAPI authentication.

Package: lighttpd-mod-authn-pam
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Description: PAM authentication module for lighttpd
 This package contains the authn_pam module for lighttpd. With this module, it
 is possible to perform authentication using PAM.

Package: lighttpd-mod-authn-sasl
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Description: SASL authentication module for lighttpd
 This package contains the authn_sasl module for lighttpd. With this module, it
 is possible to perform authentication using SASL.

Package: lighttpd-mod-deflate
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Breaks: lighttpd (<< 1.4.56~rc7-0+exp2)
Replaces: lighttpd (<< 1.4.56~rc7-0+exp2)
Description: HTTP response compression module for lighttpd
 This package contains the deflate module for lighttpd. With this module, it is
 possible compress HTTP responses using zlib, brotli, or zstd if supported by
 the client.

Package: lighttpd-mod-maxminddb
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Description: GeoIP2 info module for lighttpd
 This package contains the maxminddb module for lighttpd. With
 this module, it is possible to distinguish users based on the location
 using a GeoIP2 database.

Package: lighttpd-mod-vhostdb-pgsql
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Description: PostgreSQL-based virtual host configuration module for lighttpd
 This package contains the vhostdb_pgsql module for lighttpd. With this module,
 it is possible to write the configuration for virtual hosts into a PostgreSQL
 table instead of including it in the lighttpd configuration file.

Package: lighttpd-mod-gnutls
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Description: TLS support using GnuTLS module for lighttpd
 This package contains the gnutls module for lighttpd. With this module,
 it is possible serve https:// URLs.  GnuTLS is an alternative to OpenSSL.

Package: lighttpd-mod-mbedtls
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Description: TLS support using mbedTLS module for lighttpd
 This package contains the mbedtls module for lighttpd. With this module,
 it is possible serve https:// URLs.  Aimed at embedded systems, mbedTLS
 uses less memory than OpenSSL, though is slightly slower than OpenSSL.

Package: lighttpd-mod-nss
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Description: TLS support using NSS crypto module for lighttpd
 This package contains the nss module for lighttpd. With this module,
 it is possible serve https:// URLs.  NSS is an alternative to OpenSSL.

Package: lighttpd-mod-openssl
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Breaks: lighttpd (<< 1.4.56~rc7-0+exp2)
Replaces: lighttpd (<< 1.4.56~rc7-0+exp2)
Description: TLS support using OpenSSL module for lighttpd
 This package contains the openssl module for lighttpd. With this module, it is
 possible serve https:// URLs.

Package: lighttpd-mod-wolfssl
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
 lighttpd (= ${binary:Version}),
Description: TLS support using wolfSSL module for lighttpd
 This package contains the wolfssl module for lighttpd. With this module,
 it is possible serve https:// URLs.  Aimed at embedded systems, wolfSSL
 uses less memory than OpenSSL, though is slightly slower than OpenSSL.
